Subject: Re: linux-next: build warning after merge of the moduleh tree

From: Jens Axboe <[email-masked]>
Date: Tue, 2 Aug 2011 10:42:11 +0200

On 2011-08-02 10:35, Stephen Rothwell wrote:
> Hi Jens,
> 
> On Tue, 2 Aug 2011 09:26:14 +0200 Jens Axboe <[email-masked]> wrote:
>>
>> Thanks, will you carry this until things are merged? Not easy for me to
>> fix up.
> 
> Yes, no problem.  It is possible that the module.h split may not even go
> into v3.1, in which case the fix patch will jst become part of the moduleh
> tree after the block tree is merged.
> 
> Though the feedback to the original patch writer is that they should have
> included module.h instead of relying on it being implicitly included.

That would arguably have been a much saner approach.

> You could include a patch to add an include of module.h to this file in
> your tree - that way even if the module.h split goes ahead, your tree
> won't get broken.  It could then be changed to the lighter weight
> export.h later.

OK, I will add that. Thanks.

-- 
Jens Axboe